Publish events to Fiddler Platform
curl --request POST \
--url https://api.example.com/v3/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": {
"type": "EVENTS",
"events": [
{}
]
},
"env_name": "<string>"
}
'import requests
url = "https://api.example.com/v3/events"
payload = {
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": {
"type": "EVENTS",
"events": [{}]
},
"env_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source: {type: 'EVENTS', events: [{}]},
env_name: '<string>'
})
};
fetch('https://api.example.com/v3/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"source_type": "EVENTS",
"event_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Events
Publish events to Fiddler Platform
Publish events to Fiddler Platform
POST
/
v3
/
events
Publish events to Fiddler Platform
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I